> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicestatusbar.md).

# DeviceStatusBar

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides properties to interact with the device's status bar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceStatusBar
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceStatusBar
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceStatusBar()

Creates a new instance of [DeviceStatusBar](/hybrid/start/api/ui/wisej.hybrid.devicestatusbar.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)BackColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the back color of the Device's status bar.

### ![](/files/CCV9PPenlC1YZvNh1I6R)TextColor

[StatusBarTextColor](/hybrid/start/api/ui/wisej.hybrid.shared.statusbar.statusbartextcolor.md): Gets or sets the text color of the status bar.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicestatusbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
